local function OpenAmmoBuilderForPanzer(player, vehicle)
    if PanzerPlayerGetPointsUI.instance then
        PanzerPlayerGetPointsUI.instance:destroy()
    end
    local maxY = getCore():getScreenHeight()
    local maxX = getCore():getScreenWidth()
    local x = (maxX - 350) / 2
    local y = (maxY - 450) / 2
    local PanzerPlayerGetPointsUI = PanzerPlayerGetPointsUI:new(x, y, 350, 450, getSpecificPlayer(0));
    PanzerPlayerGetPointsUI:initialise();
    PanzerPlayerGetPointsUI:addToUIManager();
end

local ISVehicleMenu_showRadialMenuOutside_old = ISVehicleMenu.showRadialMenuOutside

function ISVehicleMenu.showRadialMenuOutside(playerObj)

    ISVehicleMenu_showRadialMenuOutside_old(playerObj)
    if playerObj:getVehicle() then
        return
    end
    local vehicle = ISVehicleMenu.getVehicleToInteractWith(playerObj)
    if not vehicle then
        return
    end
    local menu = getPlayerRadialMenu(playerObj:getPlayerNum())
    if vehicle and (GetPanzerType(vehicle) or GetHeliType(vehicle)) and not SandboxVars.WT.DisableAmmoBuy then
        local texture1 = getTexture("media/textures/Item_APAmmo.png")
        menu:addSlice(getText("IGUI_Open_ABFP"), texture1, OpenAmmoBuilderForPanzer, playerObj, vehicle)
    end
end
